Qt 5.6 | Qt 3D | C++ Classes | QSceneLoader

Qt 5.6.3 Reference Documentation

# QSceneLoader Class

(Qt3DRender::QSceneLoader)

Inherits: | QAbstractSceneLoader

- List of all members, including inherited members

## Public Functions

| QSceneLoader(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QSceneLoader()
void | sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)

- 2 public functions inherited from Qt3DRender::QAbstractSceneLoader
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DRender::QAbstractSceneLoader
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DRender::QAbstractSceneLoader
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode
- 2 signals inherited from Qt3DRender::QAbstractSceneLoader
- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode
- 1 protected function inherited from Qt3DRender::QAbstractSceneLoader
- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Member Function Documentation

### QSceneLoader::QSceneLoader(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QSceneLoader.

### QSceneLoader::~QSceneLoader()

Destroys the instance of QSceneLoader.

### void QSceneLoader::sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)